Comments

28 Comments

Couldn't get the documented way to install to work:

sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-b88e86b753
Last metadata expiration check: 0:00:13 ago on Fri 23 Apr 2021 10:44:40 AM CDT.
No security updates needed, but 47 updates available
Dependencies resolved.
Nothing to do.
Complete!

However, going over to Koji and manually installing the RPM worked fine.

Works for me.

Works for me.

The URL given in the metadata is still the old one, you need to update it to: https://www.audacityteam.org

karma

Wasn't able to install using the above link. However, I was able to download the RPM from Koji: https://kojipkgs.fedoraproject.org//packages/audacity/3.0.0/1.fc34/x86_64/audacity-3.0.0-1.fc34.x86_64.rpm that worked great.

Would love to see this packaged for f33 and f32, too!

BZ#1942518 Update Audacity to 3.0.0

Please make available to fedora 34.

Works for me.

Works for me.

Works for me.

Works for me.

Works for me.

Works for me.

BZ#1827464 Update OpenJDK to 11.0.7

Works for me.

BZ#1827464 Update OpenJDK to 11.0.7

Does not work for me:

sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-4578c4a082 Last metadata expiration check: 0:00:34 ago on Tue 28 Apr 2020 06:31:05 AM CDT. No security updates needed, but 40 updates available Dependencies resolved. Nothing to do. Complete!

java --version
openjdk 11.0.6 2020-01-14 OpenJDK Runtime Environment 18.9 (build 11.0.6+10) OpenJDK 64-Bit Server VM 18.9 (build 11.0.6+10, mixed mode, sharing)

BZ#1827464 Update OpenJDK to 11.0.7

(meant VM, but I can use the VPN in a VM now, thanks)

Cisco AnyConnect does now work correctly with this under a VPN! Thank you for fixing this. Well done!

BZ#1823421 webkit2gtk3-2.28.0-9 breaks Cisco AnyConnect ANOM_ABEND segfault acwebhelper kernel: Code: Bad RIP value.

I submitted this bug here https://bugzilla.redhat.com/show_bug.cgi?id=1823421. I hope there is enough detail here. I was using the NetworkManager integration up until last year, when our VPN provider switched to requiring an MFA token in addition to a username/password to authenticate, which I never could get working (I did submit bugs upstream for that, AFAIK they are still working on it). The Cisco AnyConnect application works by spawning a WebKit instance through which it asks you for these 3 pieces of information, and then closes the WebKit instance passing the information back to the application to authenticate and set up the VPN. What is happening is the WebKit instance gets created, briefly, (you see an empty white window for less than a second), and then the window disappears and the app complains your credentials are invalid. In the log you see the WebKit instance being spawned, and then it immediately segfaults. Could be renderer, as you do see the window before any content is drawn, but you never get to see the window with the content actually drawn complete.

Ok, how do I found out what changed between webkit2gtk-2.28.0-8 and webkit2gtk-2.28.0-9? I'm willing to put in the work to put in a proper bug request to the appropriate place(s), but allowing this to go to stable will mean everyone that uses Cisco AnyConnect will be broken - surely that is not a desired state?

I don't know how it breaks Cisco AnyConnect, all I know is that reverting this back to webkit2gtk-2.28.0-8 brings back the correct behavior. If this proceeds to stable I'll have to open up a bug on it here.

This breaks Cisco AnyConnect!